<template>
  <div>
    <b-navbar toggleable="lg" type="dark" variant="info">
      <b-navbar-brand href="#">NavBar</b-navbar-brand>

      <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>

      <b-collapse id="nav-collapse" is-nav>
        <b-navbar-nav>
          <b-nav-item
            ><router-link to="/" class="navbar-anchor"
              >Home</router-link
            ></b-nav-item
          >
          <b-nav-item
            ><router-link to="/store" class="navbar-anchor"
              >Store</router-link
            ></b-nav-item
          >
        </b-navbar-nav>

        <!-- Right aligned nav items -->
        <b-navbar-nav class="ml-auto">
          <b-nav-item-dropdown right>
            <!-- Using 'button-content' slot -->
            <template v-slot:button-content>
              <em>User</em>
            </template>
            <b-dropdown-item href="#">Profile</b-dropdown-item>
            <b-dropdown-item href="#">Sign Out</b-dropdown-item>
          </b-nav-item-dropdown>
        </b-navbar-nav>
      </b-collapse>
    </b-navbar>
  </div>
</template>
<script>
export default {};
</script>

<style>
.navbar-anchor,
.navbar-anchor:hover,
.navbar-anchor:focus,
.navbar-anchor:active {
  color: inherit;
  text-decoration: none;
  cursor: pointer;
}
/* .navbar-anchor {
  text-decoration: none;
  cursor: pointer;
} */
</style>
